# Serialized Form

## Package org.apache.avro.ipc

### Class org.apache.avro.ipc.HandshakeRequest

class HandshakeRequest extends org.apache.avro.specific.SpecificRecordBase implements Externalizable

serialVersionUID:
  6293635732927376057L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException

Throws:
  `IOException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.apache.avro.ipc.HandshakeResponse

class HandshakeResponse extends org.apache.avro.specific.SpecificRecordBase implements Externalizable

serialVersionUID:
  1055336403110395392L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException

Throws:
  `IOException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.apache.avro.ipc.MD5

class MD5 extends org.apache.avro.specific.SpecificFixed implements Externalizable

serialVersionUID:
  6731146766938681575L

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException

Throws:
  `IOException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.apache.avro.ipc.ResponderServlet

class ResponderServlet extends javax.servlet.http.HttpServlet implements Serializable

#### Serialized Fields

##### responder

    Responder responder

## Package org.apache.avro.ipc.stats

### Exception Class org.apache.avro.ipc.stats.Histogram.SegmenterException

class SegmenterException extends RuntimeException implements Serializable

### Class org.apache.avro.ipc.stats.StatsServlet

class StatsServlet extends javax.servlet.http.HttpServlet implements Serializable

#### Serialized Fields

##### statsPlugin

    StatsPlugin statsPlugin

##### velocityEngine

    org.apache.velocity.app.VelocityEngine velocityEngine